#ifndef _MBED_I2C_H
#define _MBED_I2C_H

#include "stm_core.h"
#include "OLED.h"
#define SSD1306_SLAVEADR 0x78
#define SSD1306_COMMANDI 0x00
#define SSD1306_DATA 0x40

#define MAX_TIMEOUT   10000

typedef enum {i2cSpeed100k = 100000, i2cSpeed400k = 400000} i2cSpeed;
bool InitI2C1(i2cSpeed);
bool I2C1_WriteByte(uint8_t devAdr, uint8_t cr, uint8_t val);
void OLED_WriteCmd(uint8_t cmd);
void OLED_WriteData(uint8_t data);


#endif // _MBED_I2C_H
