#ifndef STM_CORE_H_
#define STM_CORE_H_

#include "stm32f4xx.h"
#include <stdbool.h>

typedef enum{
	ioPortOutputPP,
	ioPortOutputOC,
	ioPortAnalog,
	ioPortInputFloat,
	ioPortInputPU,
	ioPortInputPD,
	ioPortAlternatePP,
	ioPortAlternateOC
}eIoPortModes;

bool Nucleo_SetPinGPIO(GPIO_TypeDef *gpio,uint32_t bitnum,eIoPortModes mode);

void GPIOToggle(GPIO_TypeDef * gpio,uint32_t bitnum);

bool GPIORead(GPIO_TypeDef * gpio,uint32_t bitnum);

void GPIOWrite(GPIO_TypeDef * gpio,uint32_t bitnum, bool state);

bool Nucleo_SetAFGPIO(GPIO_TypeDef *gpio, uint32_t bitnum, uint32_t afValue);

#endif /* STM_CORE_H_ */
